import { Primitive } from "@radix-ui/react-primitive";
import { type ComponentRef, ComponentPropsWithoutRef } from "react";
export declare namespace ContentPartPrimitiveImage {
    type Element = ComponentRef<typeof Primitive.img>;
    /**
     * Props for the ContentPartPrimitive.Image component.
     * Accepts all standard img element props.
     */
    type Props = ComponentPropsWithoutRef<typeof Primitive.img>;
}
/**
 * Renders an image from the current content part context.
 *
 * This component displays image content from the current content part,
 * automatically setting the src attribute from the content part's image data.
 *
 * @example
 * ```tsx
 * <ContentPartPrimitive.Image
 *   alt="Generated image"
 *   className="message-image"
 *   style={{ maxWidth: '100%' }}
 * />
 * ```
 */
export declare const ContentPartPrimitiveImage: import("react").ForwardRefExoticComponent<Omit<import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement> & {
    asChild?: boolean;
}, "ref"> & import("react").RefAttributes<HTMLImageElement>>;
//# sourceMappingURL=ContentPartImage.d.ts.map